# Class ContactPair

java.lang.Object
org.jmol.util.ContactPair

public class ContactPair extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`chord`
`int`
`contactType`
`float`
`d`
`Atom[]`
`myAtoms`
`P3`
`pt`
`float[]`
`radii`
`float`
`score`
`float[]`
`vdws`
`double`
`vdwVolume`
`double`
`volume`
`float`
`xVdwClash`

## Constructor Summary

Constructors
Constructor
Description
`ContactPair(Atom[] atoms, int i1, int i2, float R, float r, float vdwA, float vdwB)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`setForVdwClash(boolean isVdw)`
`void`
`switchAtoms()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### radii

public float[] radii

### vdws

public float[] vdws

### myAtoms

public Atom[] myAtoms

### pt

public P3 pt

### volume

public double volume

### vdwVolume

public double vdwVolume

### score

public float score

### d

public float d

### chord

public float chord

### contactType

public int contactType

### xVdwClash

public float xVdwClash

## Constructor Details

### ContactPair

public ContactPair(Atom[] atoms, int i1, int i2, float R, float r, float vdwA, float vdwB)

## Method Details

### setForVdwClash

public boolean setForVdwClash(boolean isVdw)

### switchAtoms

public void switchAtoms()

### toString

public String toString()

Overrides:
  `toString` in class `Object`